package org.springblade.third.doordevice.feign.qinlin;


import org.springblade.core.tool.api.R;
import org.springblade.third.doordevice.entity.QinlinApiLog;
import org.springblade.third.doordevice.entity.qinlin.*;
import org.springframework.stereotype.Component;

/**
 * @author zwx
 * @create 2020/11/28 20:19
 */
@Component
public class IQLinClientFallbackFactory implements IQLinClient {


	@Override
	public R<String> addUser(QLinUser qLinUser) {
		return null;
	}

	@Override
	public R<String> deleteUser(QLinUser qLinUser) {
		return null;
	}

	@Override
	public R<String> deleteUserPermission(QLinUserDevice qLinUserDevice) {
		return null;
	}

	@Override
	public R<String> deleteDevice(QLinDevice qLinDevice) {
		return null;
	}

	@Override
	public R<String> getDeviceInfo(QLinDevice qLinDevice) {
		return null;
	}

	@Override
	public R remoteOpenDoor(QLinUserDevice qLinUserDevice) {
		return null;
	}

	@Override
	public R<String> getLogs(QLinQuery qLinQuery) {
		return null;
	}

	@Override
	public R<String> recordQinLinApiLog(QinlinApiLog qinlinApiLog) {
		return null;
	}

	@Override
	public R<String> addCommunity(QLinCommunityDevices qLinCommunityDevices) {
		return null;
	}

	@Override
	public R<String> addDevices(QLinCommunityDevices qLinCommunityDevices) {
		return null;
	}
}
